org.jboss.shrinkwrap.descriptor.api.connector16

## Interface MessagelistenerType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface MessagelistenerType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `messagelistenerType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getMessagelistenerType()` Returns the `messagelistener-type` element
    `ActivationspecType<MessagelistenerType<T>>` | `getOrCreateActivationspec()` If not already created, a new `activationspec` element with the given value will be created.
    `MessagelistenerType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `MessagelistenerType<T>` | `messagelistenerType(java.lang.String messagelistenerType)` Sets the `messagelistener-type` element
    `MessagelistenerType<T>` | `removeActivationspec()` Removes the `activationspec` element
    `MessagelistenerType<T>` | `removeId()` Removes the `id` attribute
    `MessagelistenerType<T>` | `removeMessagelistenerType()` Removes the `messagelistener-type` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### messagelistenerType

          MessagelistenerType<T> messagelistenerType(java.lang.String messagelistenerType)

      Sets the `messagelistener-type` element
      Parameters:
        `messagelistenerType` - the value for the element `messagelistener-type`
      Returns:
        the current instance of `MessagelistenerType`

    - #### getMessagelistenerType

          java.lang.String getMessagelistenerType()

      Returns the `messagelistener-type` element
      Returns:
        the node defined for the element `messagelistener-type`

    - #### removeMessagelistenerType

          MessagelistenerType<T> removeMessagelistenerType()

      Removes the `messagelistener-type` element
      Returns:
        the current instance of `MessagelistenerType`

    - #### getOrCreateActivationspec

          ActivationspecType<MessagelistenerType<T>> getOrCreateActivationspec()

      If not already created, a new `activationspec` element with the given value will be created. Otherwise, the existing `activationspec` element will be returned.
      Returns:
        a new or existing instance of `ActivationspecType>`

    - #### removeActivationspec

          MessagelistenerType<T> removeActivationspec()

      Removes the `activationspec` element
      Returns:
        the current instance of `MessagelistenerType`

    - #### id

          MessagelistenerType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `MessagelistenerType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          MessagelistenerType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `MessagelistenerType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)